FactoryGirl.define do

  factory :interpro, class: User do
    name { Forgery::Name.full_name }
    email { Forgery::Email.address }
    encrypted_password "password"
    user_roles { [:interpro] }

    after(:create) do |interpro|
      interpro.wine_data_element = create(:wine_data_element, interpro: interpro)
    end

    factory :interpro_with_producers do
      transient { producers_count 5 }
      after(:create) do |interpro, evaluator|
        interpro.producers = create_list(:producer_with_wines,
                                         evaluator.producers_count,
                                         interpro_ids: [interpro.id])
      end
      after(:stub) do |interpro, evaluator|
        interpro.producers.build attributes_for(:producer)
      end
    end
  end
end
