FactoryGirl.define do

  factory :producer, class: User do
    name { Forgery::Name.full_name }
    email { Forgery::Email.address }
    encrypted_password "password"
    user_roles {[:producer]}

    factory :producer_with_wines do
      transient do
        wines_count 5
        estates_count 1
      end

      after(:create) do |producer, evaluator|
        producer.estates = create_list(:estate,
                                       evaluator.estates_count,
                                       producer: producer)

        interpro = producer.interpros.first
        producer.wines = create_list(:complete_wine,
                                     evaluator.wines_count,
                                     interpro_id: interpro.id,
                                     producer: producer,
                                     estate: producer.estates.first)
      end
    end
  end
end
