FactoryGirl.define do

  factory :vintage do
    title { Forgery::Name.full_name }
    is_base true

    factory :complete_vintage do
      title { Forgery::Name.full_name }
      alcohol_degree 12.0
      serving_temperature "20°C"
      storage_duration "5 ans"
      decantaring_duration "24 heures"
      price 50.0
      grapes [{"key"=> 'Merlot', "value"=> '100%'},
              {"key" => "", "value" => ""}]
      awards [{"key"=> 'Concours du Sud-Ouest', "value"=> '2010'},
              {"key" => "", "value" => ""}]
      notes [{"key"=> 'Parker', "value"=> '2010'},
             {"key" => "", "value" => ""}]
      tasting_comment 'Lorem ipsum'
      tasting_opportunities ["Apero"]

      after(:create) do |vintage|
        vintage.wine_label = "image_url"
        vintage.tasting_flavors = [ create(:flavor).id ]
        vintage.tasting_food_entries = [ create(:food_entry).id ]
        vintage.tasting_food_dishes = [ create(:food_dish).id ]
        vintage.tasting_food_desserts = [ create(:food_dessert).id ]
        vintage.tasting_food_cheeses = [ create(:food_cheese).id ]
        vintage.save
      end
    end
  end
end
