require 'rails_helper'

describe Estate do

  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }
  it { should have_field(:address).of_type(String).with_default_value_of("") }
  it { should have_field(:zip_code).of_type(String).with_default_value_of("") }
  it { should have_field(:city).of_type(String).with_default_value_of("") }
  it { should have_field(:owner_firstname).of_type(String) }
  it { should have_field(:owner_lastname).of_type(String) }
  it { should have_field(:phone_number).of_type(String) }
  it { should have_field(:fax_number).of_type(String) }
  it { should have_field(:mobile_number).of_type(String) }
  it { should have_field(:contact_email).of_type(String) }
  it { should have_field(:company).of_type(String) }
  it { should have_field(:history).of_type(String) }
  it { should have_field(:word).of_type(String) }
  it { should have_field(:spoken_languages).of_type(Array) }
  it { should have_field(:markets).of_type(Array) }
  it { should have_field(:opening).of_type(String) }

  it { should have_many(:wines) }
  it { should be_embedded_in(:producer) }
end
