require 'rails_helper'

describe HistoryEntry do

  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }

  it { should have_field(:city).of_type(String) }
  it { should have_field(:wine_id).of_type(Moped::BSON::ObjectId) }
  it { should have_field(:vintage_id).of_type(Moped::BSON::ObjectId) }

  it { should validate_presence_of(:wine_id) }
  it { should validate_presence_of(:vintage_id) }

  it { should be_embedded_in(:winewoo_user) }
end
