require 'rails_helper'
require 'base64'

describe PictoElement do
  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }

  it { should have_field(:key_name).of_type(String) }
  it { should have_field(:name).of_type(String) }
  it { should have_field(:category).of_type(Symbol) }
  it { should have_field(:android_mdpi_picto).of_type(Moped::BSON::Binary) }
  it { should have_field(:android_hdpi_picto).of_type(Moped::BSON::Binary) }
  it { should have_field(:android_xhdpi_picto).of_type(Moped::BSON::Binary) }
  it { should have_field(:iphonex1_picto).of_type(Moped::BSON::Binary) }
  it { should have_field(:iphonex2_picto).of_type(Moped::BSON::Binary) }
  it { should have_field(:ipadx1_picto).of_type(Moped::BSON::Binary) }
  it { should have_field(:ipadx2_picto).of_type(Moped::BSON::Binary) }

  it { should validate_uniqueness_of(:key_name) }
  it { should validate_presence_of(:key_name) }
end
