require 'rails_helper'

describe UserComment do

  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }

  it { should have_field(:rank).of_type(Float) }
  it { should have_field(:quality).of_type(Integer) }
  it { should have_field(:maturity).of_type(Integer) }
  it { should have_field(:view).of_type(Integer) }
  it { should have_field(:smell).of_type(Integer) }
  it { should have_field(:taste).of_type(Integer) }
  it { should have_field(:text).of_type(String) }
  it { should have_field(:reputation).of_type(Integer) }
  it { should have_field(:reco_id).of_type(String) }
  it { should have_field(:tasting_opportunities).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_flavors).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_food_entries).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_food_dishes).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_food_desserts).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_food_cheeses).of_type(Array)
    .with_default_value_of([]) }

  it { should belong_to(:winewoo_user) }
  it { should belong_to(:vintage) }
  it { should belong_to(:wine) }

  it { should validate_presence_of(:vintage_id) }
  it { should validate_presence_of(:winewoo_user_id) }

  it { should have_and_belong_to_many(:up_votes).as_inverse_of(:up_comments) }
  it { should have_and_belong_to_many(:down_votes).as_inverse_of(:down_comments) }
end
