require 'rails_helper'

describe Vintage do

  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }

  it { should have_field(:title).of_type(String) }
  it { should have_field(:barcode).of_type(String) }

  it { should have_field(:alcohol_degree).of_type(Float) }
  it { should have_field(:average_rank).of_type(Float) }
  it { should have_field(:production_year).of_type(Integer) }
  it { should have_field(:serving_temperature).of_type(String) }
  it { should have_field(:storage_duration).of_type(String) }
  it { should have_field(:decantaring_duration).of_type(String) }
  it { should have_field(:price).of_type(Float) }
  it { should have_field(:grapes).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:awards).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:notes).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_comment).of_type(String) }
  it { should have_field(:tasting_opportunities).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_recipes).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_flavors).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_food_entries).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_food_dishes).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_food_desserts).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:tasting_food_cheeses).of_type(Array)
    .with_default_value_of([]) }
  it { should have_field(:is_base).of_type(Mongoid::Boolean) }
  it { should have_field(:unofficial).of_type(Mongoid::Boolean)
    .with_default_value_of(false) }

  it { should validate_presence_of(:title) }

  it { should be_embedded_in(:wine) }
  it { should embed_one(:award) }

  it { should have_many(:user_comments) }
end
