require 'rails_helper'

describe WinewooUserDevice do

  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }

  it { should have_field(:device_model).of_type(String) }
  it { should have_field(:device_os).of_type(String) }
  it { should have_field(:device_os_version).of_type(String) }
  it { should have_field(:device_screen_width).of_type(Integer) }
  it { should have_field(:device_screen_height).of_type(Integer) }
  it { should have_field(:device_push_token).of_type(String) }
  it { should have_field(:device_lang).of_type(String) }
  it { should have_field(:device_model).of_type(String) }

  it { should be_embedded_in(:winewoo_user) }

  it { should validate_presence_of(:device_model) }
  it { should validate_presence_of(:device_os) }
  it { should validate_presence_of(:device_os_version) }
  it { should validate_presence_of(:device_screen_width) }
  it { should validate_presence_of(:device_screen_height) }
  it { should validate_presence_of(:device_lang) }
end
