require 'base64'

class Forgery::Pictos < Forgery
  def self.key_name
    # create random number from 0 to power(36,24), then convert it to base-36 string
    rand(36**24).to_s(36)
  end

  def self.category
    dictionaries[:last_names].random.downcase.to_sym
  end

  def self.base64_picto
    Base64.encode64(rand(36**24).to_s(36))
  end

  def self.mdpi_picto
    Base64.encode64("PictoMdpi")
  end

  def self.hdpi_picto
    Base64.encode64("PictoHdpi")
  end

  def self.xhdpi_picto
    Base64.encode64("PictoXhdpi")
  end

  def self.iphonex1_picto
    Base64.encode64("PictoIphonex1")
  end

  def self.iphonex2_picto
    Base64.encode64("PictoIphonex2")
  end

  def self.ipadx1_picto
    Base64.encode64("PictoIpadx1")
  end

  def self.ipadx2_picto
    Base64.encode64("PictoIpadx2")
  end
end
