require "rails_helper"

describe WinewooCore do

  describe "#configure" do

    before do
      WinewooCore.configure do |config|
        config.hello_sentence = "Hello Kasual !"
      end
    end


    after :each do
      WinewooCore.reset
    end


    it "returns the configured sentence." do
      hello = WinewooCore.hello!
      expect(hello).to be_a(String)
      expect(hello).to eq("Hello Kasual !")
    end
  end

  describe ".reset" do

    before :each do
      WinewooCore.configure do |config|
        config.hello_sentence = "Hello Kasual !"
      end
    end


    it "resets the configuration" do
      WinewooCore.reset
      config = WinewooCore.configuration
      expect(config.hello_sentence).to eq("Hello World !")
      expect(config.authorizer).to eq(WinewooCore::Services::Authorizers::NullAuthorizer)
      expect(config.cellar_repo).to eq(WinewooCore::Repositories::Mongo::CellarMongoRepo)
      expect(config.comments_repo).to eq(WinewooCore::Repositories::Mongo::CommentsMongoRepo)
      expect(config.criterions_repo).to eq(WinewooCore::Repositories::Mongo::CriterionsMongoRepo)
      expect(config.favorites_repo).to eq(WinewooCore::Repositories::Mongo::FavoritesMongoRepo)
      expect(config.history_repo).to eq(WinewooCore::Repositories::Mongo::HistoryMongoRepo)
      expect(config.log_repo).to eq(WinewooCore::Repositories::Mongo::WinewooUserLogsMongoRepo)
      expect(config.producers_repo).to eq(WinewooCore::Repositories::Mongo::ProducersMongoRepo)
      expect(config.vintages_repo).to eq(WinewooCore::Repositories::Mongo::VintagesMongoRepo)
      expect(config.wines_repo).to eq(WinewooCore::Repositories::Mongo::WinesMongoRepo)
      expect(config.winewoo_user_devices_repo).to eq(WinewooCore::Repositories::Mongo::WinewooUserDevicesMongoRepo)
      expect(config.winewoo_user_logs_repo).to eq(WinewooCore::Repositories::Mongo::WinewooUserLogsMongoRepo)
      expect(config.winewoo_users_repo).to eq(WinewooCore::Repositories::Mongo::WinewooUsersMongoRepo)
      expect(config.feed_repo).to eq(WinewooCore::Repositories::ElasticSearch::FeedElasticRepo)
    end
  end
end
